# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.paging import Paged


class BigDataPoolResourceInfoPaged(Paged):
    """
    A paging container for iterating over a list of :class:`BigDataPoolResourceInfo <azure.mgmt.synapse.models.BigDataPoolResourceInfo>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[BigDataPoolResourceInfo]'}
    }

    def __init__(self, *args, **kwargs):

        super(BigDataPoolResourceInfoPaged, self).__init__(*args, **kwargs)
class IpFirewallRuleInfoPaged(Paged):
    """
    A paging container for iterating over a list of :class:`IpFirewallRuleInfo <azure.mgmt.synapse.models.IpFirewallRuleInfo>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[IpFirewallRuleInfo]'}
    }

    def __init__(self, *args, **kwargs):

        super(IpFirewallRuleInfoPaged, self).__init__(*args, **kwargs)
class SqlPoolPaged(Paged):
    """
    A paging container for iterating over a list of :class:`SqlPool <azure.mgmt.synapse.models.SqlPool>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SqlPool]'}
    }

    def __init__(self, *args, **kwargs):

        super(SqlPoolPaged, self).__init__(*args, **kwargs)
class GeoBackupPolicyPaged(Paged):
    """
    A paging container for iterating over a list of :class:`GeoBackupPolicy <azure.mgmt.synapse.models.GeoBackupPolicy>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[GeoBackupPolicy]'}
    }

    def __init__(self, *args, **kwargs):

        super(GeoBackupPolicyPaged, self).__init__(*args, **kwargs)
class RestorePointPaged(Paged):
    """
    A paging container for iterating over a list of :class:`RestorePoint <azure.mgmt.synapse.models.RestorePoint>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[RestorePoint]'}
    }

    def __init__(self, *args, **kwargs):

        super(RestorePointPaged, self).__init__(*args, **kwargs)
class ReplicationLinkPaged(Paged):
    """
    A paging container for iterating over a list of :class:`ReplicationLink <azure.mgmt.synapse.models.ReplicationLink>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[ReplicationLink]'}
    }

    def __init__(self, *args, **kwargs):

        super(ReplicationLinkPaged, self).__init__(*args, **kwargs)
class TransparentDataEncryptionPaged(Paged):
    """
    A paging container for iterating over a list of :class:`TransparentDataEncryption <azure.mgmt.synapse.models.TransparentDataEncryption>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[TransparentDataEncryption]'}
    }

    def __init__(self, *args, **kwargs):

        super(TransparentDataEncryptionPaged, self).__init__(*args, **kwargs)
class SqlPoolBlobAuditingPolicyPaged(Paged):
    """
    A paging container for iterating over a list of :class:`SqlPoolBlobAuditingPolicy <azure.mgmt.synapse.models.SqlPoolBlobAuditingPolicy>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SqlPoolBlobAuditingPolicy]'}
    }

    def __init__(self, *args, **kwargs):

        super(SqlPoolBlobAuditingPolicyPaged, self).__init__(*args, **kwargs)
class SqlPoolOperationPaged(Paged):
    """
    A paging container for iterating over a list of :class:`SqlPoolOperation <azure.mgmt.synapse.models.SqlPoolOperation>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SqlPoolOperation]'}
    }

    def __init__(self, *args, **kwargs):

        super(SqlPoolOperationPaged, self).__init__(*args, **kwargs)
class SqlPoolUsagePaged(Paged):
    """
    A paging container for iterating over a list of :class:`SqlPoolUsage <azure.mgmt.synapse.models.SqlPoolUsage>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SqlPoolUsage]'}
    }

    def __init__(self, *args, **kwargs):

        super(SqlPoolUsagePaged, self).__init__(*args, **kwargs)
class SensitivityLabelPaged(Paged):
    """
    A paging container for iterating over a list of :class:`SensitivityLabel <azure.mgmt.synapse.models.SensitivityLabel>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SensitivityLabel]'}
    }

    def __init__(self, *args, **kwargs):

        super(SensitivityLabelPaged, self).__init__(*args, **kwargs)
class SqlPoolSchemaPaged(Paged):
    """
    A paging container for iterating over a list of :class:`SqlPoolSchema <azure.mgmt.synapse.models.SqlPoolSchema>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SqlPoolSchema]'}
    }

    def __init__(self, *args, **kwargs):

        super(SqlPoolSchemaPaged, self).__init__(*args, **kwargs)
class SqlPoolTablePaged(Paged):
    """
    A paging container for iterating over a list of :class:`SqlPoolTable <azure.mgmt.synapse.models.SqlPoolTable>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SqlPoolTable]'}
    }

    def __init__(self, *args, **kwargs):

        super(SqlPoolTablePaged, self).__init__(*args, **kwargs)
class SqlPoolColumnPaged(Paged):
    """
    A paging container for iterating over a list of :class:`SqlPoolColumn <azure.mgmt.synapse.models.SqlPoolColumn>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SqlPoolColumn]'}
    }

    def __init__(self, *args, **kwargs):

        super(SqlPoolColumnPaged, self).__init__(*args, **kwargs)
class SqlPoolVulnerabilityAssessmentPaged(Paged):
    """
    A paging container for iterating over a list of :class:`SqlPoolVulnerabilityAssessment <azure.mgmt.synapse.models.SqlPoolVulnerabilityAssessment>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SqlPoolVulnerabilityAssessment]'}
    }

    def __init__(self, *args, **kwargs):

        super(SqlPoolVulnerabilityAssessmentPaged, self).__init__(*args, **kwargs)
class VulnerabilityAssessmentScanRecordPaged(Paged):
    """
    A paging container for iterating over a list of :class:`VulnerabilityAssessmentScanRecord <azure.mgmt.synapse.models.VulnerabilityAssessmentScanRecord>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[VulnerabilityAssessmentScanRecord]'}
    }

    def __init__(self, *args, **kwargs):

        super(VulnerabilityAssessmentScanRecordPaged, self).__init__(*args, **kwargs)
class SqlPoolSecurityAlertPolicyPaged(Paged):
    """
    A paging container for iterating over a list of :class:`SqlPoolSecurityAlertPolicy <azure.mgmt.synapse.models.SqlPoolSecurityAlertPolicy>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SqlPoolSecurityAlertPolicy]'}
    }

    def __init__(self, *args, **kwargs):

        super(SqlPoolSecurityAlertPolicyPaged, self).__init__(*args, **kwargs)
class ExtendedSqlPoolBlobAuditingPolicyPaged(Paged):
    """
    A paging container for iterating over a list of :class:`ExtendedSqlPoolBlobAuditingPolicy <azure.mgmt.synapse.models.ExtendedSqlPoolBlobAuditingPolicy>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[ExtendedSqlPoolBlobAuditingPolicy]'}
    }

    def __init__(self, *args, **kwargs):

        super(ExtendedSqlPoolBlobAuditingPolicyPaged, self).__init__(*args, **kwargs)
class DataMaskingRulePaged(Paged):
    """
    A paging container for iterating over a list of :class:`DataMaskingRule <azure.mgmt.synapse.models.DataMaskingRule>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[DataMaskingRule]'}
    }

    def __init__(self, *args, **kwargs):

        super(DataMaskingRulePaged, self).__init__(*args, **kwargs)
class WorkloadGroupPaged(Paged):
    """
    A paging container for iterating over a list of :class:`WorkloadGroup <azure.mgmt.synapse.models.WorkloadGroup>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[WorkloadGroup]'}
    }

    def __init__(self, *args, **kwargs):

        super(WorkloadGroupPaged, self).__init__(*args, **kwargs)
class WorkloadClassifierPaged(Paged):
    """
    A paging container for iterating over a list of :class:`WorkloadClassifier <azure.mgmt.synapse.models.WorkloadClassifier>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[WorkloadClassifier]'}
    }

    def __init__(self, *args, **kwargs):

        super(WorkloadClassifierPaged, self).__init__(*args, **kwargs)
class WorkspacePaged(Paged):
    """
    A paging container for iterating over a list of :class:`Workspace <azure.mgmt.synapse.models.Workspace>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Workspace]'}
    }

    def __init__(self, *args, **kwargs):

        super(WorkspacePaged, self).__init__(*args, **kwargs)
class RestorableDroppedSqlPoolPaged(Paged):
    """
    A paging container for iterating over a list of :class:`RestorableDroppedSqlPool <azure.mgmt.synapse.models.RestorableDroppedSqlPool>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[RestorableDroppedSqlPool]'}
    }

    def __init__(self, *args, **kwargs):

        super(RestorableDroppedSqlPoolPaged, self).__init__(*args, **kwargs)
class IntegrationRuntimeResourcePaged(Paged):
    """
    A paging container for iterating over a list of :class:`IntegrationRuntimeResource <azure.mgmt.synapse.models.IntegrationRuntimeResource>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[IntegrationRuntimeResource]'}
    }

    def __init__(self, *args, **kwargs):

        super(IntegrationRuntimeResourcePaged, self).__init__(*args, **kwargs)
class PrivateLinkResourcePaged(Paged):
    """
    A paging container for iterating over a list of :class:`PrivateLinkResource <azure.mgmt.synapse.models.PrivateLinkResource>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[PrivateLinkResource]'}
    }

    def __init__(self, *args, **kwargs):

        super(PrivateLinkResourcePaged, self).__init__(*args, **kwargs)
class PrivateEndpointConnectionPaged(Paged):
    """
    A paging container for iterating over a list of :class:`PrivateEndpointConnection <azure.mgmt.synapse.models.PrivateEndpointConnection>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[PrivateEndpointConnection]'}
    }

    def __init__(self, *args, **kwargs):

        super(PrivateEndpointConnectionPaged, self).__init__(*args, **kwargs)
class PrivateLinkHubPaged(Paged):
    """
    A paging container for iterating over a list of :class:`PrivateLinkHub <azure.mgmt.synapse.models.PrivateLinkHub>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[PrivateLinkHub]'}
    }

    def __init__(self, *args, **kwargs):

        super(PrivateLinkHubPaged, self).__init__(*args, **kwargs)
class PrivateEndpointConnectionForPrivateLinkHubPaged(Paged):
    """
    A paging container for iterating over a list of :class:`PrivateEndpointConnectionForPrivateLinkHub <azure.mgmt.synapse.models.PrivateEndpointConnectionForPrivateLinkHub>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[PrivateEndpointConnectionForPrivateLinkHub]'}
    }

    def __init__(self, *args, **kwargs):

        super(PrivateEndpointConnectionForPrivateLinkHubPaged, self).__init__(*args, **kwargs)
class ServerBlobAuditingPolicyPaged(Paged):
    """
    A paging container for iterating over a list of :class:`ServerBlobAuditingPolicy <azure.mgmt.synapse.models.ServerBlobAuditingPolicy>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[ServerBlobAuditingPolicy]'}
    }

    def __init__(self, *args, **kwargs):

        super(ServerBlobAuditingPolicyPaged, self).__init__(*args, **kwargs)
class ExtendedServerBlobAuditingPolicyPaged(Paged):
    """
    A paging container for iterating over a list of :class:`ExtendedServerBlobAuditingPolicy <azure.mgmt.synapse.models.ExtendedServerBlobAuditingPolicy>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[ExtendedServerBlobAuditingPolicy]'}
    }

    def __init__(self, *args, **kwargs):

        super(ExtendedServerBlobAuditingPolicyPaged, self).__init__(*args, **kwargs)
class ServerSecurityAlertPolicyPaged(Paged):
    """
    A paging container for iterating over a list of :class:`ServerSecurityAlertPolicy <azure.mgmt.synapse.models.ServerSecurityAlertPolicy>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[ServerSecurityAlertPolicy]'}
    }

    def __init__(self, *args, **kwargs):

        super(ServerSecurityAlertPolicyPaged, self).__init__(*args, **kwargs)
class ServerVulnerabilityAssessmentPaged(Paged):
    """
    A paging container for iterating over a list of :class:`ServerVulnerabilityAssessment <azure.mgmt.synapse.models.ServerVulnerabilityAssessment>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[ServerVulnerabilityAssessment]'}
    }

    def __init__(self, *args, **kwargs):

        super(ServerVulnerabilityAssessmentPaged, self).__init__(*args, **kwargs)
class ServerUsagePaged(Paged):
    """
    A paging container for iterating over a list of :class:`ServerUsage <azure.mgmt.synapse.models.ServerUsage>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[ServerUsage]'}
    }

    def __init__(self, *args, **kwargs):

        super(ServerUsagePaged, self).__init__(*args, **kwargs)
class RecoverableSqlPoolPaged(Paged):
    """
    A paging container for iterating over a list of :class:`RecoverableSqlPool <azure.mgmt.synapse.models.RecoverableSqlPool>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[RecoverableSqlPool]'}
    }

    def __init__(self, *args, **kwargs):

        super(RecoverableSqlPoolPaged, self).__init__(*args, **kwargs)
class KeyPaged(Paged):
    """
    A paging container for iterating over a list of :class:`Key <azure.mgmt.synapse.models.Key>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Key]'}
    }

    def __init__(self, *args, **kwargs):

        super(KeyPaged, self).__init__(*args, **kwargs)
